| Qore ElasticSearchDataProvider Module Reference 1.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ElasticSearchDataProvider::ElasticSearchDataProviderBase Class Reference

The ElasticSearch data provider base class. More...

`#include <ElasticSearchDataProviderBase.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchDataProviderBase:
[legend]

## Public Member Functions
| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Detailed Description

The ElasticSearch data provider base class.